<?php

declare(strict_types=1);

namespace KupShop\GraphQLBundle\ApiShared\Types\Return;

use TheCodingMachine\GraphQLite\Annotations\Field;
use TheCodingMachine\GraphQLite\Annotations\Type;

#[Type]
class ReturnStatus
{
    public function __construct(
        public int $statusId,
        public string $statusName,
    ) {
    }

    #[Field(description: 'ID stavu.')]
    public function getId(): int
    {
        return $this->statusId;
    }

    #[Field(description: 'Název stavu.')]
    public function getName(): string
    {
        return $this->statusName;
    }
}
